.\" DAL DaDisableAccess(3) manpage
.\"
.\"
.\" +============================================+
.\" |  Author:          Yury Georgievskiy, CERN  |
.\" |  Creation date:   08.05.2007               |
.\" +============================================+
.\"
.\"
.TH DADISABLEACCESS "3" "May 2007" "Driver Access Library" "DAL User's Manual"
.SH NAME
DaDisableAccess \- release DAL handle
.SH SYNOPSIS
.B da_err_t DaDisableAccess(HANDLE \fIhandle\fB);
.SH DESCRIPTION
The \fIDaDisableAccess()\fR function should be called when user finish his
work with the driver. It cleans up internal library stuff and release the
handle, that previously was returned by \fIDaEnableAccesse()\fR library call.
\fIhandle\fR is the handle to release.
.SH RETURN VALUE
.TP
.B DA_ERR_ALL_OK
if success
.TP
.B -DA_ERR_BAD_HANDLE
handle is bad
.TP
.B -DA_ERR_INT_ERR
can't close open file descriptor
.TP
.B -DA_ERR_NOT_INIT
library was not initialized, i.e. \fIDaEnableAccess()\fR was not called
.P
See \fBDaGetErrCode\fR(3) for more information about all possible \fBda_err_t\fR
values.
.SH AUTHOR
Written by Yury Georgievskiy <ygeorgie@gmail.com>
.SH SEE ALSO
.BR driverGen (8),
.BR modinst (8),
.BR moduninst (8),
.BR dal (3),
.BR DaEnableAccess (3),
.BR DaSetDefAM (3),
.BR DaGetDefAM (3),
.BR DaGetNodeFd (3),
.BR DaGetRegister (3),
.BR DaGetRegChunk (3),
.BR DaSetRegister (3),
.BR DaSetRegChunk (3),
.BR DaGetRegDepth (3),
.BR DaGetRegSize (3),
.BR DaGetRegRep (3),
.BR DaSetRegRep (3),
.BR DaGetRegAccessRights (3),
.BR DaGetRegName (3),
.BR DaDrvrVers (3),
.BR DaLibVers (3),
.BR DaDbgFlag (3),
.BR DaGetErrCode (3),
.BR DaUserEntryPoint (3)
